diff -Npur softdevice-0.4.0.orig/config.mak softdevice-0.4.0/config.mak
--- softdevice-0.4.0.orig/config.mak	2007-09-28 11:12:26.000000000 +0800
+++ softdevice-0.4.0/config.mak	2007-09-28 14:02:20.000000000 +0800
@@ -10,5 +10,5 @@ LIBXDPMS_SUPPORT = 1
 XV_LIBS          = -L/usr/X11R6/lib -lXext -lX11 -lm -lXv -lXinerama
 SHM_SUPPORT = 1
 FB_SUPPORT = 1
-FFMPEGLIBS = -L/usr/local/include/ffmpeg/ -L/usr/local/include/ffmpeg/libavcodec/ -L/usr/local/include/ffmpeg/libavformat/ -lavformat -lavcodec -lz
-FFMPEGCFLAGS = -I/usr/local/include/ffmpeg/ -I/usr/local/include/ffmpeg/libavcodec/ -I/usr/local/include/ffmpeg/libavformat/ 
+FFMPEGLIBS = -L/usr/local/lib -lavformat -lavcodec -lm -lz -ldl -lavutil  
+FFMPEGCFLAGS = -I/usr/local/include -I/usr/local/include/ffmpeg  
diff -Npur softdevice-0.4.0.orig/configure softdevice-0.4.0/configure
--- softdevice-0.4.0.orig/configure	2007-04-11 16:15:36.000000000 +0800
+++ softdevice-0.4.0/configure	2007-09-28 14:13:37.000000000 +0800
@@ -171,8 +171,18 @@ test_ffmpeg()
 cat > ${TMPC} << EOF
 #define __STDC_CONSTANT_MACROS
 #include <stdlib.h>
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 #include <avcodec.h>
 #include <avformat.h>
+
+#ifdef __cplusplus
+}
+#endif
+
 int main(void) {
 /*  if ( avcodec_build() != LIBAVCODEC_BUILD ) {
      fprintf(stderr,"Fatal Error! Libavcodec library build(%d) doesn't match avcodec.h build(%d)!!!\n",avcodec_build(),LIBAVCODEC_BUILD);
@@ -180,12 +190,13 @@ int main(void) {
      exit(-1);
   };
 */
-  avcodec_init();
-  avcodec_register_all();
+  //avcodec_init();
+  av_register_all();
 
  return 0;
 }
 EOF
+  echo $cc $CFLAGS $ffmpeg_cflags -o $TMPE $TMPC $ffmpeg_libs  >> config.log 2>&1
   $cc $CFLAGS $ffmpeg_cflags -o $TMPE $TMPC $ffmpeg_libs  >> config.log 2>&1 || ffmpeg="no"
 };
 
